Bug 65883 - System hangs when enabling DMA on IDE Disks
System hangs when enabling DMA on IDE Disks
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-03 14:49 EDT by Seth Bardash
Modified: 2007-04-18 12:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 15:10:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seth Bardash 2002-06-03 14:49:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
Supermicro 370 DLE motherboard with 733MHz P3
Systems hangs when UDE_DMA=1 or hdparm -d1 /dev/hda

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.USE_DMA=1 set in harddiskhda file in /etc/sysconfig/ or
2.hdparm -d1 /dev/hda
3.
	

Actual Results:  ran hdparm -Tt /dev/hda
CPU usage maxed and system became unresponsive
waited 10 minutes before reset...

Expected Results:  Redhat 7.2 works fine on same system.
Expected IDE I/O Speed to go from 4MB/sec to 20MB/sec
Instead system locks up till hardware reset.

Additional info:

System: Supermicro 370DLE
256 MB Registered ECC memory
hda and hdb are 20GB IDE disks
hdc is a CDROM
ATI PCI Graphics Card
LSI 53C875 SCSI card (for tape drive)
Keyboard and Mouse
Comment 1 Karsten Hopp 2002-06-04 05:55:26 EDT
seems to be a kernel problem -> changed component to kernel 
Can you please add the output of hdparm -i /dev/hda and the type of your 
IDE controller to this report ?
Comment 2 Arjan van de Ven 2002-06-04 07:33:28 EDT
The kernel is supposed to automaticcaly enable DMA if the kernel thinks it's
safe; if the kernel doesn't do so then forcing it manually always is a risk. Do
you know what chipset this motherboard has ?
Comment 3 Seth Bardash 2002-06-05 13:30:16 EDT
linuxsvr2(root) /etc > hdparm -i /dev/hda

/dev/hda:

 Model=QUANTUM FIREBALLlct10 20, FwRev=A03.0900, SerialNo=174011820099
 Config={ HardSect NotMFM HdSw>15uSec Fixed DTR>10Mbs }
 RawCHS=16383/16/63, TrkSize=32256, SectSize=21298, ECCbytes=4
 BuffType=DualPortCache, BuffSize=418kB, MaxMultSect=16, MultSect=16
 CurCHS=16383/16/63, CurSects=16514064, LBA=yes, LBAsects=39876480
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2 udma0 udma1 udma2 udma3 udma4
 AdvancedPM=no WriteCache=enabled
 Drive Supports : ATA/ATAPI-4 T13 1153D revision 15 : ATA-1 ATA-2 ATA-3 ATA-4

linuxsvr2(root) /etc > hdparm -i /dev/hdb

/dev/hdb:

 Model=WDC WD200EB-00CSF0, FwRev=04.01B04, SerialNo=WD-WMAAV1177145
 Config={ HardSect NotMFM HdSw>15uSec SpinMotCtl Fixed DTR>5Mbs FmtGapReq }
 RawCHS=16383/16/63, TrkSize=57600, SectSize=600, ECCbytes=40
 BuffType=DualPortCache, BuffSize=2048kB, MaxMultSect=16, MultSect=16
 CurCHS=16383/16/63, CurSects=16514064, LBA=yes, LBAsects=39102336
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2 udma0 udma1 udma2 udma3 udma4 udma5
 AdvancedPM=no WriteCache=enabled
 Drive Supports : Reserved : ATA-1 ATA-2 ATA-3 ATA-4 ATA-5

linuxsvr2(root) /etc >

dmesg output - partial:

block: 496 slots per queue, batch=124
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
SvrWks OSB4: IDE controller on PCI bus 00 dev 79
SvrWks OSB4: chipset revision 0
SvrWks OSB4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:pio
hda: QUANTUM FIREBALLlct10 20, ATA DISK drive
hdb: WDC WD200EB-00CSF0, ATA DISK drive
hdc: ATAPI CD ROM DRIVE 50X MAX, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
apm: get_event: Interface not connected
hda: 39876480 sectors (20417 MB) w/418KiB Cache, CHS=2482/255/63
hdb: 39102336 sectors (20020 MB) w/2048KiB Cache, CHS=2434/255/63
ide-floppy driver 0.99.newide
Partition check:
 hda: hda1 hda2 hda3
 hdb: hdb1
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27

Here is the additional info requested.

seth@integratedsolutions.org
Comment 4 Aaron Brown 2002-06-05 14:18:32 EDT
I've been having the same problem with my Compaq box.  I happened to notice
that it also has a "SvrWks" IDE interface.  I seem to vaguely remember Alan
or Arjan telling me these boards were terrible, and the best I could
hope for was to turn dma off (in my case DMA was turned on my default).  
Turning DMA on, and acessing the device causes a hard lock within 5-10 mins.

Here's my info:

00:0f.1 IDE interface: ServerWorks CSB5 IDE Controller (rev 92) (prog-if 82
[Master PriP])
        Subsystem: ServerWorks CSB5 IDE Controller
        Flags: bus master, medium devsel, latency 64
        I/O ports at 01f0 [size=8]
        I/O ports at 03f4
        I/O ports at <unassigned> [size=8]
        I/O ports at <unassigned> [size=4]
        I/O ports at 2000 [size=16]
        I/O ports at 0a00 [size=4]

/dev/hda:

 Model=CD-W512EB, FwRev=2.0A, SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: sdma0 sdma1 sdma2 mdma0 mdma1 mdma2 udma0 udma1 *udma2
 AdvancedPM=no


/dev/hdb:

 Model=HITACHI DVD-ROM GD-7000, FwRev=0016, SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: sdma0 sdma1 sdma2 mdma0 mdma1 mdma2 udma0 udma1 *udma2
 AdvancedPM=no
Comment 5 Arjan van de Ven 2003-06-07 15:10:57 EDT
current erratum kernel has a majorly fixed IDE layer

Note You need to log in before you can comment on or make changes to this bug.